###############################################################################################
#  CLASSICAL ITEM ANALYSIS: CASO DICHOTOMOUS                                                  #
#                                                                                             #
# Data contain 131 respondent to 14 items of Math Test applied in student of  6th grade.      #
# Data are described in Bazn, J. L, Branco,  M. D. , Bolfarine, H. (2006). A skew item       #
# response model. Bayesian Analysis, 1 (2006), pp. 861892.                                   #                            #
###############################################################################################

#ANALISE DE ITENS USANDO MODELO DE MEDIO CLASSICA
####################################################
Prof. Jorge Luis Bazn



require(foreign)
pasta="C:\\Users\\Jorge Luis\\Dropbox\\Eventos\\SBPC\\Dia2"

setwd(pasta)
mathb=read.spss("mathb.sav")
a=data.frame(mathb)
mathbitems=a[,2:15]
edit(mathbitems)

#analise de items dicotmicos
##############################

require(psych)
alpha(mathbitems)
help(alpha)

require(epicalc)
alpha(vars=c(i01:i14), mathbitems)


require(psychometric)
item.exam(mathbitems, y=mathb$puntaje, discrim=TRUE)
help(item.exam)

#intervalo de Confiana Bootstrap para alpha
require(ltm)
cronbach.alpha(mathbitems, CI=TRUE, B=500)

#Correlaao ponto biserial

biserial.cor(rowSums(mathbitems), mathbitems[[1]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[2]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[3]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[4]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[5]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[6]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[7]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[8]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[9]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[10]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[11]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[12]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[13]], level = 2)
biserial.cor(rowSums(mathbitems), mathbitems[[14]], level = 2)

require(coefficientalpha)
alpha.mathb=cronbach(mathbitems)
plot(alpha.mathb,type="d")
summary(alpha.mathb)



#Para manipulacao de dados no R
#http://ecologia.ib.usp.br/bie5782/doku.php?id=bie5782:03_apostila:04-dados

#http://www.filewatcher.com/m/RSrv135.exe.2796468-0.html